Plank.DragManager – plank Reference Manual

# DragManager

## Object Hierarchy:

## Description:

public class DragManager : Object

Handles all of the drag'n'drop events for a dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockItem? DragItem { get; }
- public bool DragNeedsCheck { get; }
- public bool ExternalDragActive { get; }
- public bool InternalDragActive { get; }
- public bool RepositionMode { get; }
- public DockController controller { construct; }

### Creation methods:

- public DragManager (DockController controller)
  Creates a new instance of a DragManager, which handles drag'n'drop interactions of a dock.

### Methods:

- public bool drop_is_accepted_by (DockItem item)
  Whether the current dragged-data is accepted by the given dock-item
- public void ensure_proxy ()
- public void initialize ()
  Initializes the drag-manager. Call after the DockWindow is constructed.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref